<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	include '../src/function_cms.php';
	$browser_array 	= browser($_SERVER['HTTP_USER_AGENT']);
	$browser_name	= $browser_array[0];
	$browser_ver	= $browser_array[1];
	
	$map_height_input 				= $_POST['map_height_input'];
	$map_width_input 				= $_POST['map_width_input'];
	$jusyo_input 					= htmlspecialchars($_POST['jusyo_input'], ENT_QUOTES);
	$zoom_level_input				= $_POST['zoom_level_input'];
	$marker_title_input				= htmlspecialchars($_POST['marker_title_input'], ENT_QUOTES);
	$marker_contents_input			= htmlspecialchars($_POST['marker_contents_input'], ENT_QUOTES);
	$_SESSION['map_height_input'] 		= $map_height_input;
	$_SESSION['map_width_input'] 		= $map_width_input;
	$_SESSION['jusyo_input']			= $jusyo_input;
	$_SESSION['zoom_level_input']		= $zoom_level_input;
	$_SESSION['marker_title_input']		= $marker_title_input;
	$_SESSION['marker_contents_input']	= $marker_contents_input;
	
	$_SESSION["editerrmsg"]			= NULL;
	if ($map_height_input == NULL || $map_height_input == "") {
		$_SESSION["editerrmsg"] = $_SESSION["editerrmsg"]."地図の大きさ（縦）が指定されていません！<br>\n";
	}
	if ($map_width_input == NULL || $map_width_input == "") {
		$_SESSION["editerrmsg"] = $_SESSION["editerrmsg"]."地図の大きさ（横）が指定されていません！<br>\n";
	}
	
	if ($jusyo_input == NULL) {
		$_SESSION["editerrmsg"] = $_SESSION["editerrmsg"]."住所が入力されていません！<br>\n";
	}
	if ($_SESSION["editerrmsg"]	<> NULL) {
		$loc = 'Location:wysiwyg_map_input.php?proc='.$_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'&gmap_id='.$_GET["gmap_id"].'&editerr=1';
		header($loc);
		exit;
	}
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor｜GoogleMap編集の確認</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<?php require_once('../src/wysiwyg_google_map_api_js_include.php'); ?>
<script src="../jQuery/jquery.gmap3.js"></script>
<script src="../js/cms_jquery_map.js"></script>
<script>
jQuery(function(){
	<?php
	if ($_GET["proc"] == "upd") {
		echo 'margin_left = '.$_SESSION["map_margin_left"].';';
	}else{
		echo 'margin_left = 10;';
	}
	?>
	jQuery("#margin_left_input").val(margin_left);
	jQuery(".editable_map_in").css("margin-left",margin_left);
	jQuery(".map_margin_left").text(margin_left);
	jQuery("#map_left").click(function(){
		margin_left = margin_left - 1;
		if (margin_left < 0) {
			alert("これ以上調整できません！");
		}else{
				jQuery("#margin_left_input").val(margin_left);
				jQuery(".editable_map_in").css("margin-left",margin_left);
				jQuery(".map_margin_left").text(margin_left);
		}
	});
	jQuery("#map_right").click(function(){
		margin_left = margin_left + 1;
		if (margin_left > 480) {
			alert("これ以上調整できません！");
		}else{
				jQuery("#margin_left_input").val(margin_left);
				jQuery(".editable_map_in").css("margin-left",margin_left);
				jQuery(".map_margin_left").text(margin_left);
		}
	});
	jQuery("#margin_left_input").change(function() {
    	margin_left = jQuery("#margin_left_input").val();
		margin_left = Number(margin_left);
		if (margin_left < 0) {
			alert("マイナスの値は指定できません！");
			jQuery("#margin_left_input").val(0);				
			jQuery(".editable_map_in").css("margin-left",0);
			jQuery(".map_margin_left").text(0);	
			margin_left = 0;
			return;
		}
		jQuery(".editable_map_in").css("margin-left",margin_left);
		jQuery(".map_margin_left").text(margin_left);
	});
});
</script>
<script>
jQuery(function(){
	var ua=window.navigator.userAgent;
	var msie = false;
	var edge = false;
	var browser = "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {
		edge = true;
		browser = "Edge";
	}
	call_level = <?php echo $_GET["call_level"];?>;
	edit_area = "edit_area"+call_level;
	class_edit_area = ".edit_area"+call_level;
	
	jQuery("#map_insert").click(function(){
		var edit_map = $("#map_html").html();
		var edit_area = window.opener.document.querySelector(class_edit_area);
		edit_area.focus();		// firefoxは効かない。
		<?php
		if ($_GET["proc"] == "add") {
			echo '
			window.opener.document.execCommand("insertImage", false, "'.$pre_path.'images/dummy.gif");
			var contents = window.opener.$(class_edit_area).html();
			if ( !(contents.match(/<img src="'.$pre_path_ptn.'images\/dummy.gif"/)) ) {
				alert("マウスのフォーカスが編集エリアから外れています！\n編集エリアの挿入位置をクリックしてから[挿入]をクリックしてください。");	
				return;
			}else{
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif">/g , edit_map);
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="text-align: left;">/g , edit_map);
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="background-color: transparent;">/g , edit_map);
				//window.opener.document.getElementById("edit_area").innerHTML = contents;
				window.opener.document.getElementsByClassName("edit_area'.$_GET["call_level"].'")[0].innerHTML = contents;
			}';
		}else{
			echo 'var editable_map_in = $(".editable_map").html();';
			echo 'window.opener.$(".editable_map:eq('.$_GET["index"].')").html(editable_map_in);';
		}
		?>
		window.open("about:blank","_self").close();	
	});
});
</script>
<body>
<?php
	///$idokeido = get_ido_keido( $jusyo_input );
	///var_dump($idokeido);
	//if ($idokeido == false) {
	//	$_SESSION["editerrmsg"] = $_SESSION["editerrmsg"]."住所が間違っています！<br>\n";
	//}
	if ($_SESSION["editerrmsg"]	<> NULL) {
		$loc = 'Location:wysiwyg_map_input.php?proc='.$_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'&gmap_id='.$_GET["gmap_id"].'&editerr=1';
		header($loc);
		exit;
	}

echo '<div class="page_title">地図の確認と調整</div>';
echo '<br class="clear_both">';
echo '<span class="guide">　地図の左側余白を<img src="../images/cell_expand.gif" hspace="2" vspace="2" alt="広げる" style="vertical-align:middle;">（広げる）<img src="../images/cell_reduce.gif" hspace="2" vspace="2" alt="狭める" style="vertical-align:middle;">（狭める）で調整後、ページ下の「決定」をクリックしてください。<br>　（その下の欄に数値を入力しても調整できます。）</span><br>';
if ($browser_name == "MSIE" || $browser_name == "Edge" || $browser_name == "Opera") {
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリックしてください。</span>';
}else{
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリック（又は右クリック）してください。</span>';
}
echo '<br class="clear_both"><br>';
echo '<div class="contents_area"><div class="edit_layout_box">';
echo '<div id="map_right"><img src="../images/cell_expand.gif" hspace="2" vspace="2" alt="広げる" title="広げる"></div>';
echo '<div id="map_left"><img src="../images/cell_reduce.gif" hspace="2" vspace="2" alt="狭める" title="狭める"></div>';
if ($_GET["proc"] == "upd") {
	$margin_left = $_SESSION["map_margin_left"];
}else{
	$margin_left = 10;
}
echo '<div><input type="number" name="margin_left_input" id="margin_left_input" value="'.$margin_left.'" style="width:40px;"></div>';
echo '<br class="clear_both">';
$marker_contents_dsp = str_replace("\r\n", "<br>", $marker_contents_input);
$marker_contents_dsp = str_replace("\n", "<br>", $marker_contents_dsp);
$marker_contents_dsp = str_replace("\r", "<br>", $marker_contents_dsp);
echo '<div id="map_html" style="width:'.$_SESSION["area_width"].'px;border:dashed 1px #CC3300;">';
echo '<br>';	// 地図の前に挿入可能とするため
echo '<div class="editable_map" contenteditable="false">';
echo '<div class="editable_map_in">';

echo '<div id="'.$_GET['gmap_id'].'" style="width:'.$map_width_input.'px;box-sizing:border-box;height:'.$map_height_input.'px;"></div>';
//echo "<script>google_map('".$_GET['gmap_id']."','".$jusyo_input."','".$idokeido[0]."','".$idokeido[1]."',".$zoom_level_input.",'".$marker_title_input."','".$marker_contents_dsp."');</script>";
echo "<script>google_map('".$_GET['gmap_id']."','".$jusyo_input."','','',".$zoom_level_input.",'".$marker_title_input."','".$marker_contents_dsp."');</script>";
echo '<div class="map_margin_left" style="display:none;">'.$margin_left.'</div>';
echo '<div class="map_width" style="display:none;">'.$map_width_input.'</div>';
echo '<div class="map_height" style="display:none;">'.$map_height_input.'</div>';
echo '<div class="jusyo" style="display:none;">'.$jusyo_input.'</div>';
echo '<div class="zoom_level" style="display:none;">'.$zoom_level_input.'</div>';
echo '<div class="marker_title" style="display:none;">'.$marker_title_input.'</div>';
echo '<div class="marker_contents" style="display:none;">'.$marker_contents_input.'</div>';
echo '<div class="gmap_id" style="display:none;">'.$_GET['gmap_id'].'</div>';
echo '</div>';	//<!-- end editable_map -->
echo '</div>';	//<!-- end editable_map_in -->

echo '<br>';	// 地図の後に挿入可能とするため
echo '</div><!-- end map_html -->';
?>
<br class="clear_both">
<div class="btn"><input type="button" id="map_insert" value="地図挿入"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='wysiwyg_map_input.php?proc=<?php echo $_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'&gmap_id='.$_GET["gmap_id"].'&modoru=1'; ?>'"></div>
</body>
</html>
