<?php
	// セッションを開始する。
	session_start();
	include 'src/function_cms.php';
	$conn = init_sqlite();																		// DBへの接続（存在しない場合はDB、TABLEを作成）
	
	$_SESSION["img_using_table_name_col_id"] 	= "page_data_contents_0";
	// 【目的】サーバー上の画像ファイルを削除可能とするため	
	// データベースに保存するときに「page_data_contents_0」（テーブル名(page_data)_カラム名(contents)_0）を「テーブル名(page_data)_カラム名(contents)_(カラム名(ID)の値)」に変更する。
	// データベースに保存する前に、編集エリアに挿入後に削除した画像ファイルは「page_data_contents_0」のまま残るため、データベース保存時に削除する。
	
	$_SESSION["pdf_using_table_name_col_id"] 	= "pdf_page_data_contents_0";
	// 【目的】サーバー上のＰＤＦファイルを削除可能とするため	
	// データベースに保存するときに「pdf_page_data_contents_0」（pdf_テーブル名(page_data)_カラム名(contents)_0）を「pdf_テーブル名(page_data)_カラム名(contents)_(カラム名(ID)の値)」に変更する。
	// データベースに保存する前に、編集エリアに挿入後に削除したＰＤＦファイルは「pdf_page_data_contents_0」のまま残るため、データベース保存時に削除する。
	$_SESSION["zip_using_table_name_col_id"] 	= "zip_page_data_contents_0";
	// 【目的】サーバー上のＰＤＦファイルを削除可能とするため	
	// データベースに保存するときに「zip_page_data_contents_0」（zip_テーブル名(page_data)_カラム名(contents)_0）を「pdf_テーブル名(page_data)_カラム名(contents)_(カラム名(ID)の値)」に変更する。
	// データベースに保存する前に、編集エリアに挿入後に削除したＰＤＦファイルは「zip_page_data_contents_0」のまま残るため、データベース保存時に削除する。
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8"><!-- UTF-8で統一する -->
<title>Fineditor</title>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script src="jQuery/jquery-3.2.1.min.js"></script><!-- javascriptライブラリ -->
<?php require_once('src/wysiwyg_google_map_api_js_include.php'); // Google Map 表示用(インストール時にファイルと内容を生成) ?>
<script src="jQuery/jquery.gmap3.js"></script><!-- Google Map 表示用 --> 
<script src="js/cms_jquery_map.js"></script><!-- Google Map 表示用 --> 
<script src="js/cms_proc.js"></script><!-- 記事削除確認用 -->
<script src="js/twitter_code.js"></script><!-- tweetボタン表示用 -->
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
</head>
<body style="padding-left:20px;text-align:left;">
<?php
include("popups/facebook_code_basic.php");	// facebook いいね！、シェアボタン表示用
if ($_GET["modoru"]) {						// 確認ページから戻った際
	$contents		= $_SESSION["htmlarea_input"];		// 入力済みの内容を$contents（編集領域の内容）にセットする。
	$dataproc		= $_GET["dataproc"];				// $_GET["dataproc"]には追加の場合「add」、修正の場合「upd」がセットされている。
	$data_id		= $_GET["data_id"];					// $_GET["data_id"]には追加の場合「NULL」、修正の場合テーブル「page_dataのカラム(id)の値」がセットされている。
}else{
	$sql = "SELECT * FROM page_data";					// テーブル「page_data」のカラム「contents」には編集領域の内容がセットされる。
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {		// データが存在する場合は修正と判断している。
		$contents				= $row["contents"];		// $row["contents"](編集領域の内容をセットされている)を$contentsにセットする（修正内容を表示するため）。
		$dataproc				= "upd";				// $dataprocは「wysiwygeditor_dbsave.php」で処理判断に使用する。
		$data_id				= $row["id"];			// $data_id「wysiwygeditor_dbsave.php」でデータを更新する際に使用する。
	}else{
		$contents				= NULL;
		$dataproc				= "add";
		$data_id				= NULL;
	}
}
echo '<form action="wysiwygeditor_kakunin_session_set.php?dataproc='.$dataproc.'&data_id='.$data_id.'" method="POST">';	// 確認ページ表示用（「保存」がクリックされた場合も中で処理判定している）
echo "wysiwygエディター<br>";
// ボタン表示有無設定(wysiwygeditorの使用箇所により表示するボタンを制限する)
$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["pdflink"]				= 1;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["ziplink"]				= 1;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
$settings["shop"]					= 1;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["sns"]					= 1;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
$script_path						= script_path();
$script_path_array					= explode("/", $script_path);
$cnt								= count($script_path_array);
$sns_req_url_dir					= NULL;
for($i=0;$i<$cnt-1;$i++){
	$sns_req_url_dir .= $script_path_array[$i]."/";
}
//echo '<br>$sns_req_url_dir='.$sns_req_url_dir;	// test
$settings["sns_req_url"]			= $sns_req_url_dir.'sample_display.php';	// SNSボタンを配置するWEBページのURL　※※※＜＜＜表示するＷＥＢページのURLに変更してください＞＞＞※※※
$settings["gmap"]					= 1;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["area_color"]				= 1;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
$textarea_name 		= "htmlarea_input";		//  POST先で$_POST["htmlarea_input"]で受け取る
$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
$submit_id2 		= "confirm2";			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
$area_width 		= 960;					// 編集エリアの横幅（px値）
$min_height			= 440;					// 編集エリアの縦幅の最小値（px値）
$default_font_size	= 18;					// 編集エリアの中身の文字の初期サイズ（px値）
editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
$dsp_area_width		= $area_width + 2;
echo '<br class="clear_both">';
if ($_GET["dbsave"] == "add") {
	echo '<div class="normalmsg" style="width:'.$dsp_area_width.'px;">保存しました。</div>';
	echo '<br class="clear_both">';
}else
if ($_GET["dbsave"] == "upd") {
	echo '<div class="normalmsg" style="width:'.$dsp_area_width.'px;">更新しました。</div>';
	echo '<br class="clear_both">';
}
?>
<br>
<div class="btn" style="top:10px;z-index:500000;"><input type="submit" id="confirm1" name="process" value="確認"></div><!-- id=「"confirm1"」はfunction「editor」のパラメータ「$submit_id1」の内容と同じにする。 -->
<div class="btn" style="top:10px;z-index:500000;"><input type="submit" id="confirm2" name="process" value="保存"></div><!-- id=「"confirm2"」はfunction「editor」のパラメータ「$submit_id2」の内容と同じにする。 -->
<?php
// 編集ページの目的に合わせてカスタマイズしてください。
if ($dataproc == "upd") {
	echo '<div class="btn" style="top:10px;z-index:500000;"><input type="button" value="削除" onClick="wysiwygeditor_data_del('.$data_id.')"></div>';
}
?>
</form>
<br class="clear_both"><br>
<div class="btn" style="top:10px;z-index:500000;"><a href="sample_display.php" target="_new">WEBページ参照</a></div>

<script>window.focus();</script>
<script>resizeTo(1100,1040);</script>
<!-- googole+ボタン用　最後の +1 ボタン タグの後に次のタグを貼り付けてください。 -->
<script src="https://apis.google.com/js/platform.js" async defer></script>
</body>
</html>
